laracademy/dusk-interactive

0.5 2017-10-10 19:19 UTC

README

Latest Stable Version Total Downloads Latest Unstable Version License

Getting Started

To get started you need to install the package with Composer:

composer require laracademy/dusk-interactive

Laravel >= 5.5

That's it! The package is auto-discovered on 5.5 and up!

Laravel <= 5.4

Add the package service provider to your providers array in config/app.php

'providers' => [
    // ...
    Laracademy\Commands\DuskInteractiveServiceProvider ::class,
],

To start using this package, run this command in your terminal and follow the onscreen prompts:

php artisan dusk:interactive

Preview

Running a single dusk test

Single Dusk Test

Running all dusk tests

Single Dusk Test

Disclaimer

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.